Bug 584807 - typo in code of agent/mibgroup/ip-mib/data_access/systemstats_common.c
Summary: typo in code of agent/mibgroup/ip-mib/data_access/systemstats_common.c
Status: CLOSED ERRATA
Alias: None
Product: Red Hat Enterprise Linux 5
Classification: Red Hat
Component: net-snmp (Show other bugs)
(Show other bugs)
Version: 5.5
Hardware: All Linux
high
medium
Target Milestone: rc
: ---
Assignee: Jan Safranek
QA Contact: BaseOS QE Security Team
URL:
Whiteboard:
Keywords:
Depends On:
Blocks: 590060 597265
TreeView+ depends on / blocked
 
Reported: 2010-04-22 13:20 UTC by Olivier Fourdan
Modified: 2018-11-14 19:42 UTC (History)
5 users (show)

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
: 597265 (view as bug list)
Environment:
Last Closed: 2011-07-21 09:08:49 UTC
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
Proposed patch (1009 bytes, patch)
2010-04-22 13:20 UTC, Olivier Fourdan
no flags Details | Diff


External Trackers
Tracker ID Priority Status Summary Last Updated
Red Hat Product Errata RHBA-2011:1076 normal SHIPPED_LIVE net-snmp bug fix and enhancement update 2011-07-21 09:07:58 UTC

Description Olivier Fourdan 2010-04-22 13:20:29 UTC
Created attachment 408321 [details]
Proposed patch

Description of problem:

It seems there's a typo in netsnmp_access_systemstats_entry_update_stats() from agent/mibgroup/ip-mib/data_access/systemstats_common.c

  322         prev_vals->stats.InUnknownProtos = new_vals->stats.InUnknownProtos;
  323         prev_vals->stats.InTruncatedPkts = new_vals->stats.InTruncatedPkts;
  324         prev_vals->stats.ReasmReqds = new_vals->stats.InTruncatedPkts;
                                                            ^^^^^^^^^^^^^^^

Should be prev_vals->stats.ReasmReqds = new_vals->stats.ReasmReqds

Version-Release number of selected component (if applicable):

Reported on net-snmp-5.3.2.2-9.el5 but also present in current svn trunk upstream:

http://net-snmp.svn.sourceforge.net/viewvc/net-snmp/trunk/net-snmp/agent/mibgroup/ip-mib/data_access/systemstats_common.c?view=markup

(line 324)

How reproducible:
Steps to Reproduce:
Actual results:
Expected results:

N/A

Additional info:

Comment 7 errata-xmlrpc 2011-07-21 09:08:49 UTC
An advisory has been issued which should help the problem
described in this bug report. This report is therefore being
closed with a resolution of ERRATA. For more information
on therefore solution and/or where to find the updated files,
please follow the link below. You may reopen this bug report
if the solution does not work for you.

http://rhn.redhat.com/errata/RHBA-2011-1076.html

Comment 8 errata-xmlrpc 2011-07-21 12:22:00 UTC
An advisory has been issued which should help the problem
described in this bug report. This report is therefore being
closed with a resolution of ERRATA. For more information
on therefore solution and/or where to find the updated files,
please follow the link below. You may reopen this bug report
if the solution does not work for you.

http://rhn.redhat.com/errata/RHBA-2011-1076.html


Note You need to log in before you can comment on or make changes to this bug.